<?php

namespace Test\Test\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class KEYTransformer extends TransformerAbstract
{
    public function transform(\Test\Test\Models\KEY $k_e_y)
    {
        return [
            'id'                => $k_e_y->getRouteKey(),
            'key'               => [
                'public'    => $k_e_y->getPublicKey(),
                'route'     => $k_e_y->getRouteKey(),
            ], 
            '2018'              => $k_e_y->2018,
            'UNIQUE_CHECKS=0;'  => $k_e_y->UNIQUE_CHECKS=0;,
            'FOREIGN_KEY_CHECKS=0;' => $k_e_y->FOREIGN_KEY_CHECKS=0;,
            'category_id'       => $k_e_y->category_id,
            'category_name'     => $k_e_y->category_name,
            'category_description' => $k_e_y->category_description,
            'PRIMARY'           => $k_e_y->PRIMARY,
            'category_id))'     => $k_e_y->category_id)),
            'product_id'        => $k_e_y->product_id,
            'product_name'      => $k_e_y->product_name,
            'product_description' => $k_e_y->product_description,
            'product_price'     => $k_e_y->product_price,
            'product_discount'  => $k_e_y->product_discount,
            'product_weight'    => $k_e_y->product_weight,
            'product_height'    => $k_e_y->product_height,
            'product_width'     => $k_e_y->product_width,
            'category_t_category_id' => $k_e_y->category_t_category_id,
            'PRIMARY'           => $k_e_y->PRIMARY,
            'category_t_category_id),' => $k_e_y->category_t_category_id),,
            'category_t_category_id' => $k_e_y->category_t_category_id,
            'category_t_category_id)' => $k_e_y->category_t_category_id),
            'category_id)'      => $k_e_y->category_id),
            'vendor_id'         => $k_e_y->vendor_id,
            'vendor_name'       => $k_e_y->vendor_name,
            'vendor_phone'      => $k_e_y->vendor_phone,
            'vendor_email'      => $k_e_y->vendor_email,
            'vendor_address'    => $k_e_y->vendor_address,
            'PRIMARY'           => $k_e_y->PRIMARY,
            'vendor_id))'       => $k_e_y->vendor_id)),
            'branch_id'         => $k_e_y->branch_id,
            'branch_address'    => $k_e_y->branch_address,
            'branch_phone'      => $k_e_y->branch_phone,
            'PRIMARY'           => $k_e_y->PRIMARY,
            'branch_id))'       => $k_e_y->branch_id)),
            'vendor_t_vendor_id' => $k_e_y->vendor_t_vendor_id,
            'products_t_product_id' => $k_e_y->products_t_product_id,
            'branch_id'         => $k_e_y->branch_id,
            'product_price'     => $k_e_y->product_price,
            'product_amount'    => $k_e_y->product_amount,
            'updated_time'      => $k_e_y->updated_time,
            'PRIMARY'           => $k_e_y->PRIMARY,
            'updated_time),'    => $k_e_y->updated_time),,
            'products_t_product_id' => $k_e_y->products_t_product_id,
            'vendor_t_vendor_id' => $k_e_y->vendor_t_vendor_id,
            'branch_id'         => $k_e_y->branch_id,
            'vendor_t_vendor_id)' => $k_e_y->vendor_t_vendor_id),
            'vendor_id)'        => $k_e_y->vendor_id),
            'products_t_product_id)' => $k_e_y->products_t_product_id),
            'product_id)'       => $k_e_y->product_id),
            'branch_id)'        => $k_e_y->branch_id),
            'branch_id)'        => $k_e_y->branch_id),
            'branches_t_branch_id' => $k_e_y->branches_t_branch_id,
            'products_t_product_id' => $k_e_y->products_t_product_id,
            'PRIMARY'           => $k_e_y->PRIMARY,
            'products_t_product_id),' => $k_e_y->products_t_product_id),,
            'products_t_product_id' => $k_e_y->products_t_product_id,
            'branches_t_branch_id' => $k_e_y->branches_t_branch_id,
            'branches_t_branch_id)' => $k_e_y->branches_t_branch_id),
            'branch_id)'        => $k_e_y->branch_id),
            'products_t_product_id)' => $k_e_y->products_t_product_id),
            'product_id)'       => $k_e_y->product_id),
            'employee_id'       => $k_e_y->employee_id,
            'employee_name'     => $k_e_y->employee_name,
            'employee_phone'    => $k_e_y->employee_phone,
            'employee_salary'   => $k_e_y->employee_salary,
            'employee_supervisor_id' => $k_e_y->employee_supervisor_id,
            'branches_t_branch_id' => $k_e_y->branches_t_branch_id,
            'PRIMARY'           => $k_e_y->PRIMARY,
            'branches_t_branch_id),' => $k_e_y->branches_t_branch_id),,
            'employee_supervisor_id' => $k_e_y->employee_supervisor_id,
            'branches_t_branch_id' => $k_e_y->branches_t_branch_id,
            'employee_supervisor_id)' => $k_e_y->employee_supervisor_id),
            'employee_id)'      => $k_e_y->employee_id),
            'branches_t_branch_id)' => $k_e_y->branches_t_branch_id),
            'branch_id)'        => $k_e_y->branch_id),
            'skill_id'          => $k_e_y->skill_id,
            'skills_name'       => $k_e_y->skills_name,
            'PRIMARY'           => $k_e_y->PRIMARY,
            'skill_id))'        => $k_e_y->skill_id)),
            'skills_t_skill_id' => $k_e_y->skills_t_skill_id,
            'employees_t_employee_id' => $k_e_y->employees_t_employee_id,
            'PRIMARY'           => $k_e_y->PRIMARY,
            'employees_t_employee_id),' => $k_e_y->employees_t_employee_id),,
            'employees_t_employee_id' => $k_e_y->employees_t_employee_id,
            'skills_t_skill_id' => $k_e_y->skills_t_skill_id,
            'skills_t_skill_id)' => $k_e_y->skills_t_skill_id),
            'skill_id)'         => $k_e_y->skill_id),
            'employees_t_employee_id)' => $k_e_y->employees_t_employee_id),
            'employee_id)'      => $k_e_y->employee_id),
            'idorder_id'        => $k_e_y->idorder_id,
            'order_date'        => $k_e_y->order_date,
            'PRIMARY'           => $k_e_y->PRIMARY,
            'idorder_id))'      => $k_e_y->idorder_id)),
            'orders_t_idorder_id' => $k_e_y->orders_t_idorder_id,
            'products_t_product_id' => $k_e_y->products_t_product_id,
            'PRIMARY'           => $k_e_y->PRIMARY,
            'products_t_product_id),' => $k_e_y->products_t_product_id),,
            'products_t_product_id' => $k_e_y->products_t_product_id,
            'orders_t_idorder_id' => $k_e_y->orders_t_idorder_id,
            'orders_t_idorder_id)' => $k_e_y->orders_t_idorder_id),
            'idorder_id)'       => $k_e_y->idorder_id),
            'products_t_product_id)' => $k_e_y->products_t_product_id),
            'product_id)'       => $k_e_y->product_id),
            'custmer_id'        => $k_e_y->custmer_id,
            'custmer_name'      => $k_e_y->custmer_name,
            'custmer_phone'     => $k_e_y->custmer_phone,
            'custmer_email'     => $k_e_y->custmer_email,
            'custmer_address'   => $k_e_y->custmer_address,
            'custmer_postalcode' => $k_e_y->custmer_postalcode,
            'custmers_subscriber' => $k_e_y->custmers_subscriber,
            'PRIMARY'           => $k_e_y->PRIMARY,
            'custmer_id))'      => $k_e_y->custmer_id)),
            'custmers_t_custmer_id' => $k_e_y->custmers_t_custmer_id,
            'orders_t_idorder_id' => $k_e_y->orders_t_idorder_id,
            'PRIMARY'           => $k_e_y->PRIMARY,
            'orders_t_idorder_id),' => $k_e_y->orders_t_idorder_id),,
            'orders_t_idorder_id' => $k_e_y->orders_t_idorder_id,
            'custmers_t_custmer_id' => $k_e_y->custmers_t_custmer_id,
            'custmers_t_custmer_id)' => $k_e_y->custmers_t_custmer_id),
            'custmer_id)'       => $k_e_y->custmer_id),
            'orders_t_idorder_id)' => $k_e_y->orders_t_idorder_id),
            'idorder_id)'       => $k_e_y->idorder_id),
            'complaint_id'      => $k_e_y->complaint_id,
            'complaint_description' => $k_e_y->complaint_description,
            'complaint_code'    => $k_e_y->complaint_code,
            'complaint_time'    => $k_e_y->complaint_time,
            'custmers_t_custmer_id' => $k_e_y->custmers_t_custmer_id,
            'PRIMARY'           => $k_e_y->PRIMARY,
            'custmers_t_custmer_id),' => $k_e_y->custmers_t_custmer_id),,
            'custmers_t_custmer_id' => $k_e_y->custmers_t_custmer_id,
            'custmers_t_custmer_id)' => $k_e_y->custmers_t_custmer_id),
            'custmer_id)'       => $k_e_y->custmer_id),
            'payment_mehtod_id' => $k_e_y->payment_mehtod_id,
            'payment_mehtod_name' => $k_e_y->payment_mehtod_name,
            'PRIMARY'           => $k_e_y->PRIMARY,
            'payment_mehtod_id))' => $k_e_y->payment_mehtod_id)),
            'receipt_id'        => $k_e_y->receipt_id,
            'receipt_totalprice' => $k_e_y->receipt_totalprice,
            'orders_t_idorder_id' => $k_e_y->orders_t_idorder_id,
            'payment_mehtod_t_payment_mehtod_id' => $k_e_y->payment_mehtod_t_payment_mehtod_id,
            'PRIMARY'           => $k_e_y->PRIMARY,
            'payment_mehtod_t_payment_mehtod_id),' => $k_e_y->payment_mehtod_t_payment_mehtod_id),,
            'orders_t_idorder_id' => $k_e_y->orders_t_idorder_id,
            'payment_mehtod_t_payment_mehtod_id' => $k_e_y->payment_mehtod_t_payment_mehtod_id,
            'orders_t_idorder_id)' => $k_e_y->orders_t_idorder_id),
            'idorder_id)'       => $k_e_y->idorder_id),
            'payment_mehtod_t_payment_mehtod_id)' => $k_e_y->payment_mehtod_t_payment_mehtod_id),
            'payment_mehtod_id)' => $k_e_y->payment_mehtod_id),
            'shipment_company_id' => $k_e_y->shipment_company_id,
            'shipment_company_name' => $k_e_y->shipment_company_name,
            'shipment_company_phone' => $k_e_y->shipment_company_phone,
            'shipment_company_fax' => $k_e_y->shipment_company_fax,
            'shipment_company_email' => $k_e_y->shipment_company_email,
            'shipment_company_address' => $k_e_y->shipment_company_address,
            'PRIMARY'           => $k_e_y->PRIMARY,
            'shipment_company_id))' => $k_e_y->shipment_company_id)),
            'zone_id'           => $k_e_y->zone_id,
            'zone_name'         => $k_e_y->zone_name,
            'PRIMARY'           => $k_e_y->PRIMARY,
            'zone_id))'         => $k_e_y->zone_id)),
            'shipment_id'       => $k_e_y->shipment_id,
            'shipment_source'   => $k_e_y->shipment_source,
            'shipment_destination' => $k_e_y->shipment_destination,
            'shipment_weight'   => $k_e_y->shipment_weight,
            'shipment_price'    => $k_e_y->shipment_price,
            'orders_t_idorder_id' => $k_e_y->orders_t_idorder_id,
            'shipment_company_t_shipment_company_id' => $k_e_y->shipment_company_t_shipment_company_id,
            'PRIMARY'           => $k_e_y->PRIMARY,
            'shipment_company_t_shipment_company_id),' => $k_e_y->shipment_company_t_shipment_company_id),,
            'shipment_source'   => $k_e_y->shipment_source,
            'shipment_destination' => $k_e_y->shipment_destination,
            'shipment_company_t_shipment_company_id' => $k_e_y->shipment_company_t_shipment_company_id,
            'orders_t_idorder_id' => $k_e_y->orders_t_idorder_id,
            'shipment_source)'  => $k_e_y->shipment_source),
            'zone_id)'          => $k_e_y->zone_id),
            'shipment_destination)' => $k_e_y->shipment_destination),
            'zone_id)'          => $k_e_y->zone_id),
            'shipment_company_t_shipment_company_id)' => $k_e_y->shipment_company_t_shipment_company_id),
            'shipment_company_id)' => $k_e_y->shipment_company_id),
            'orders_t_idorder_id)' => $k_e_y->orders_t_idorder_id),
            'idorder_id)'       => $k_e_y->idorder_id),
            'city_id'           => $k_e_y->city_id,
            'city_name'         => $k_e_y->city_name,
            'zones_t_zone_id'   => $k_e_y->zones_t_zone_id,
            'PRIMARY'           => $k_e_y->PRIMARY,
            'zones_t_zone_id),' => $k_e_y->zones_t_zone_id),,
            'zones_t_zone_id'   => $k_e_y->zones_t_zone_id,
            'zones_t_zone_id)'  => $k_e_y->zones_t_zone_id),
            'zone_id)'          => $k_e_y->zone_id),
            'shipment_company_t_shipment_company_id' => $k_e_y->shipment_company_t_shipment_company_id,
            'zone_source'       => $k_e_y->zone_source,
            'zones_destination' => $k_e_y->zones_destination,
            'shipping_unit'     => $k_e_y->shipping_unit,
            'shipping_rate'     => $k_e_y->shipping_rate,
            'isFirst'           => $k_e_y->isFirst,
            'shipping_rates_tcol' => $k_e_y->shipping_rates_tcol,
            'PRIMARY'           => $k_e_y->PRIMARY,
            'shipping_rates_tcol),' => $k_e_y->shipping_rates_tcol),,
            'shipment_company_t_shipment_company_id' => $k_e_y->shipment_company_t_shipment_company_id,
            'zone_source'       => $k_e_y->zone_source,
            'zones_destination' => $k_e_y->zones_destination,
            'zone_source)'      => $k_e_y->zone_source),
            'zone_id)'          => $k_e_y->zone_id),
            'shipment_company_t_shipment_company_id)' => $k_e_y->shipment_company_t_shipment_company_id),
            'shipment_company_id)' => $k_e_y->shipment_company_id),
            'zones_destination)' => $k_e_y->zones_destination),
            'zone_id)'          => $k_e_y->zone_id),
            'url'               => [
                'public'    => trans_url('test/'.$k_e_y->getPublicKey()),
                'user'      => guard_url('test/k_e_y/'.$k_e_y->getRouteKey()),
            ], 
            'status'            => trans('app.'.$k_e_y->status),
            'created_at'        => format_date($k_e_y->created_at),
            'updated_at'        => format_date($k_e_y->updated_at),
        ];
    }
}